/**
*WebServer App
* There are different ways implementing an App
*/
var webserverApp = webserverApp || {};  //Define App namespace, if you want.
/**
*Constructor UNAS App
*/
webserverApp.App = function () {
    this.id = 'Web Server';
    this.name = 'Web Server';
    this.version = '6.0.7';
    this.active = false;
    this.menuIcon = '/apps/webserver/images/logo.png?v=6.0.7&';
    this.shortcutIcon = '/apps/webserver/images/logo.png?v=6.0.7&';
    this.entryUrl = '/apps/webserver/webserver.html?v=6.0.7&';
	var self = this;
    this.webserverAppWindow = function () { //create app window
    	if(UNAS.CheckAppState('Web Server')){
    		return false;
    	}
        self.window=new MUI.Window({
            id: 'webserverAppWindow',
            title: UNAS._('Web Server'),
            icon: '/apps/webserver/images/logo_small.png?v=6.0.7&',
            width: 850,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [600, 2000], 'y': [200, 1500] },
			loadMethod: 'xhr',
            contentURL: '/apps/webserver/webserver.html?v=6.0.7&',
            require: {  css: ['/apps/webserver/css/webserver.css'] },
			onBeforeBuild: function(){UNAS.SetAppOpenedWindow("Web Server",'webserverAppWindow')}
        });
    };
	this.webserverAppUninstall = function (){
    	UNAS.RemoveDesktopShortcut('Web Server');
    	UNAS.RemoveMenu('Web Server');
    	UNAS.RemoveAppFromGroups('Web Server', 'ControlPanel');
    	UNAS.RemoveAppFromGroups('Web Server', 'Help');
    	UNAS.RemoveAppFromApps('Web Server');
    }
    // new UNAS.Menu('UNAS_App_SystemTools_Menu', this.name, this.menuIcon, 'Web Server', '', this.webserverAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Web Server', this.webserverAppWindow);
	// new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'SystemTools', 'Location' : 3, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
	//new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'SystemTools', 'Location' : 4, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
	var OnChangeLanguage = function (e) {
		UNAS.SetMenuTitle('Web Server', UNAS._('Web Server')); //translate menu
		//UNAS.SetShortcutTitle('Web Server', UNAS._('Web Server')); //translate shortcut
        if (typeof self.window !== 'undefined') {
            //need to translate the window title, menu and shortcut
            UNAS.SetWindowTitle('webserverAppWindow', UNAS._('Web Server'));
        }
    }
	UNAS.LoadTranslation('/apps/webserver/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
	UNAS.CreateApp(this.name,this.shortcutIcon,this.webserverAppWindow,this.webserverAppUninstall);
};

new webserverApp.App();